import { FileSchema } from "../../../domain/models/connections/FileSchema.interface";
import { FileSchemaDTO } from "../../../domain/models/connections/FileSchemaDTO";
declare const _default: {
    name: string;
    components: {
        ConfigCollectionEntry: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    props: {
        schema: any[];
        selectedEntries: any[];
    };
    data: () => {};
    mounted(): void;
    methods: {
        addConfigCollectionEntry(): void;
        delConfigCollectionEntry(): void;
        moveConfigCollectionUpRow(currentIndex: number): void;
        moveConfigCollectionDownRow(currentIndex: number): void;
        orderEntries(a: FileSchemaDTO, b: FileSchemaDTO): 1 | 0 | -1;
        clearData(): void;
        changeEntry(data: FileSchema): void;
        genConfigCollectionEntryFromFile(): void;
        impConfigCollectionEntry(): void;
    };
};
export default _default;
